| dfemix Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- i
- l
- m
- n
- p
- r
- s
- t
- v

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- Activate : XDfeMix_TriggerCfg
- Antenna : XDfeMix_DUCDDCStatus , XDfeMix_MixerStatus
- AntennaCfg : XDfeMix_CCCfg
- AntennaInterleave : XDfeMix_ModelParameters , XDfeMix_Config
- AuxGain : XDfeMix_AuxiliaryCfg
- AuxiliaryCfg : XDfeMix_CCCfg

### - b -

- BaseAddr : XDfeMix_Config

### - c -

- CCGain : XDfeMix_InternalDUCDDCCfg , XDfeMix_DUCDDCCfg
- CCID : XDfeMix_CCSequence
- CCSequenceError : XDfeMix_Status
- CCUpdate : XDfeMix_TriggerCfg , XDfeMix_Status
- CCUpdateError : XDfeMix_Status
- Config : XDfeMix

### - d -

- DataIWidth : XDfeMix_ModelParameters , XDfeMix_Config
- DataOWidth : XDfeMix_Config , XDfeMix_ModelParameters
- Device : XDfeMix
- DeviceId : XDfeMix_Config
- DualModCount : XDfeMix_Phase , XDfeMix_Frequency
- DualModSel : XDfeMix_Phase
- DUCDDCCfg : XDfeMix_CCCfg , XDfeMix_CarrierCfg
- DUCDDCOverflow : XDfeMix_Status

### - e -

- Enable : XDfeMix_AuxiliaryCfg

### - f -

- FrequencyCfg : XDfeMix_NCO
- FrequencyControlWord : XDfeMix_Frequency

### - g -

- Gain : XDfeMix_AntennaCfg

### - i -

- Io : XDfeMix

### - l -

- Lanes : XDfeMix_ModelParameters , XDfeMix_Config
- Length : XDfeMix_CCSequence
- LowPower : XDfeMix_TriggerCfg , XDfeMix_Status
- LowPowerError : XDfeMix_Status

### - m -

- Major : XDfeMix_Version
- MaxUseableCcids : XDfeMix_ModelParameters , XDfeMix_Config
- Minor : XDfeMix_Version
- MixerCps : XDfeMix_ModelParameters , XDfeMix_Config
- MixerOverflow : XDfeMix_Status
- Mode : XDfeMix_ModelParameters , XDfeMix_Trigger , XDfeMix_Config
- ModelParams : XDfeMix_Cfg

### - n -

- NCO : XDfeMix_CCCfg
- NCOGain : XDfeMix_NCO
- NcoId : XDfeMix_MixerStatus , XDfeMix_DUCDDCStatus
- NCOIdx : XDfeMix_InternalDUCDDCCfg , XDfeMix_DUCDDCCfg
- NodeName : XDfeMix
- NotUsedCCID : XDfeMix_CCSequence , XDfeMix
- NotUsedCCID_UL : XDfeMix
- NumAntenna : XDfeMix_Config , XDfeMix_ModelParameters
- NumAuxiliary : XDfeMix_Config , XDfeMix_ModelParameters

### - p -

- Patch : XDfeMix_Version
- PhaseAcc : XDfeMix_Phase
- PhaseCfg : XDfeMix_NCO
- PhaseOffset : XDfeMix_PhaseOffset , XDfeMix_Frequency

### - r -

- Rate : XDfeMix_InternalDUCDDCCfg
- Revision : XDfeMix_Version

### - s -

- Sequence : XDfeMix_Init , XDfeMix_CCCfg
- SequenceLength : XDfeMix
- SingleModCount : XDfeMix_Frequency
- Stage : XDfeMix_DUCDDCStatus , XDfeMix_MixerStatus
- StateId : XDfeMix
- StateOutput : XDfeMix_Trigger
- Switch : XDfeMix_TriggerCfg
- Switchable : XDfeMix_Status
- SwitchableError : XDfeMix_Status

### - t -

- TriggerEnable : XDfeMix_Trigger
- TriggerUpdateFlag : XDfeMix_Frequency , XDfeMix_Phase
- TUSERBit : XDfeMix_Trigger
- TuserEdgeLevel : XDfeMix_Trigger
- TuserSelect : XDfeMix_Init
- TUserWidth : XDfeMix_Config , XDfeMix_ModelParameters

### - v -

- Version : XDfeMix_Cfg